Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components
Class Head

    java.lang.Object
      org.apache.struts2.components.Component
          org.apache.struts2.components.UIBean
              org.apache.struts2.components.Head

    public class Head

extends UIBean

Renders parts of the HEAD section for an HTML file. This is useful as some themes require certain CSS and JavaScript includes.

If, for example, your page has ajax components integrated, without having the default theme set to ajax, you might want to use the head tag with theme="ajax" so that the typical ajax header setup will be included in the page.

The tag also includes the option to set a custom datepicker theme if needed. See calendarcss parameter for description for details.

If you use the ajax theme you can turn a debug flag on by setting the debug parameter to `true`.

Examples

     <head>
       <title>My page</title>
       <s:head/>
     </head>

     <head>
       <title>My page</title>
       <s:head theme="ajax" calendarcss="calendar-green"/>
     </head>

     <head>
       <title>My page</title>
       <s:head theme="ajax" debug="true"/>
     </head>

Field Summary
`private String` | `calendarcss`
`private boolean` | `debug`
`private String` | `encoding`
`static String` | `TEMPLATE`

Fields inherited from class org.apache.struts2.components.UIBean
`accesskey, cssClass, cssStyle, defaultTemplateDir, defaultUITheme, disabled, key, label, labelPosition, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, request, required, requiredposition, response, tabindex, template, templateDir, templateEngineManager, templateSuffix, theme, title, tooltip, tooltipConfig, value`

Fields inherited from class org.apache.struts2.components.Component
`actionMapper, COMPONENT_STACK, id, parameters, stack`

Constructor Summary
`Head(ValueStack stack, HttpServletRequest request, HttpServletResponse response)`

Method Summary
`void` | `evaluateParams()`
`String` | `getCalendarcss()`
`protected String` | `getDefaultTemplate()` A contract that requires each concrete UI Tag to specify which template should be used as a default.
`boolean` | `isDebug()`
`void` | `setCalendarcss(String calendarcss)`
`void` | `setDebug(boolean debug)`
`void` | `setEncoding(String encoding)`

Methods inherited from class org.apache.struts2.components.UIBean
`addFormParameter, buildTemplateName, enableAncestorFormCustomOnsubmit, end, escape, evaluateExtraParams, evaluateNameValue, getTemplate, getTemplateDir, getTheme, getTooltipConfig, getValueClassType, mergeTemplate, populateComponentHtmlId, setAccesskey, setCssClass, setCssStyle, setDefaultTemplateDir, setDefaultUITheme, setDisabled, setKey, setLabel, setLabelposition, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequired, setRequiredposition, setTabindex, setTemplate, setTemplateDir, setTemplateEngineManager, setTheme, setTitle, setTooltip, setTooltipConfig, setValue`

Methods inherited from class org.apache.struts2.components.Component
`addAllParameters, addParameter, altSyntax, copyParams, determineActionURL, determineNamespace, end, fieldError, findAncestor, findString, findString, findValue, findValue, findValue, getComponentStack, getId, getParameters, getStack, popComponentStack, setActionMapper, setId, start, toString, usesBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEMPLATE

    public static final String TEMPLATE

See Also:
  Constant Field Values

### calendarcss

    private String calendarcss

### debug

    private boolean debug

### encoding

    private String encoding

Constructor Detail

### Head

    public Head(ValueStack stack,
                HttpServletRequest request,
                HttpServletResponse response)

Method Detail

### getDefaultTemplate

    protected String getDefaultTemplate()

  Description copied from class: `UIBean`
  A contract that requires each concrete UI Tag to specify which template should be used as a default. For example, the CheckboxTab might return "checkbox.vm" while the RadioTag might return "radio.vm". This value not begin with a '/' unless you intend to make the path absolute rather than relative to the current theme.

  Specified by:
    `getDefaultTemplate` in class `UIBean`
  Returns:
    The name of the template to be used as the default.

### setEncoding

    public void setEncoding(String encoding)

### evaluateParams

    public void evaluateParams()

  Overrides:
    `evaluateParams` in class `UIBean`

### getCalendarcss

    public String getCalendarcss()

### setCalendarcss

    public void setCalendarcss(String calendarcss)

### isDebug

    public boolean isDebug()

### setDebug

    public void setDebug(boolean debug)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.